GpgFrontend::UI::QuitDialog Class Reference
Inheritance diagram for GpgFrontend::UI::QuitDialog:
Collaboration diagram for GpgFrontend::UI::QuitDialog:

## Public Member Functions

| QuitDialog (QWidget *parent, const QHash< int, QString > &unsavedDocs)
| Construct a new Quit Dialog object. More...
bool | IsDiscarded () const
QList< int > | GetTabIdsToSave ()
| Get the Tab Ids To Save object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Slots

void | slot_my_discard ()

## Private Attributes

bool | discarded_
QTableWidget * | m_fileList_

## Constructor & Destructor Documentation

## QuitDialog()

GpgFrontend::UI::QuitDialog::QuitDialog | ( | QWidget * | parent,
|  | const QHash< int, QString > & | unsavedDocs
| ) |  |

Construct a new Quit Dialog object.

Parameters

  parent |
  unsavedDocs |

## Member Function Documentation

## GetTabIdsToSave()

QList< int > GpgFrontend::UI::QuitDialog::GetTabIdsToSave | ( |  | ) |

Get the Tab Ids To Save object.

Returns
  QList<int>

Referenced by GpgFrontend::UI::TextEdit::MaybeSaveAnyTab().

## IsDiscarded()

bool GpgFrontend::UI::QuitDialog::IsDiscarded | ( |  | ) | const

Returns
  true
  false

Referenced by GpgFrontend::UI::TextEdit::MaybeSaveAnyTab().

The documentation for this class was generated from the following files:

- src/ui/dialog/QuitDialog.h
- src/ui/dialog/QuitDialog.cpp